Package com.google.javascript.jscomp

# Class DiagnosticGroups

java.lang.Object
com.google.javascript.jscomp.DiagnosticGroups

public class DiagnosticGroups extends Object
Named groups of DiagnosticTypes exposed by Compiler.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DiagnosticGroup`
`ACCESS_CONTROLS`
`static final DiagnosticGroup`
`AMBIGUOUS_FUNCTION_DECL`
`static final DiagnosticGroup`
`CHECK_PROVIDES`
`static final DiagnosticGroup`
`CHECK_REGEXP`
`static final DiagnosticGroup`
`CHECK_STRUCT_DICT_INHERITENCE`
`static final DiagnosticGroup`
`CHECK_TYPES`
`static final DiagnosticGroup`
`CHECK_USELESS_CODE`
`static final DiagnosticGroup`
`CHECK_VARIABLES`
`static final DiagnosticGroup`
`CONST`
`static final DiagnosticGroup`
`CONSTANT_PROPERTY`
`static final DiagnosticGroup`
`DEBUGGER_STATEMENT_PRESENT`
`static final DiagnosticGroup`
`DEPRECATED`
`static final DiagnosticGroup`
`DUPLICATE_MESSAGE`
`static final DiagnosticGroup`
`DUPLICATE_VARS`
`static final DiagnosticGroup`
`ES5_STRICT`
`static final DiagnosticGroup`
`EXTERNS_VALIDATION`
`static final DiagnosticGroup`
`FILEOVERVIEW_JSDOC`
`static final DiagnosticGroup`
`GLOBAL_THIS`
`static final DiagnosticGroup`
`INTERNET_EXPLORER_CHECKS`
`static final DiagnosticGroup`
`INVALID_CASTS`
`static final DiagnosticGroup`
`MISPLACED_TYPE_ANNOTATION`
`static final DiagnosticGroup`
`MISSING_PROPERTIES`
`static final DiagnosticGroup`
`NON_STANDARD_JSDOC`
`static final DiagnosticGroup`
`STRICT_MODULE_DEP_CHECK`
`static final DiagnosticGroup`
`SUSPICIOUS_CODE`
`static final DiagnosticGroup`
`TWEAKS`
`static final DiagnosticGroup`
`TYPE_INVALIDATION`
`static final DiagnosticGroup`
`UNDEFINED_NAMES`
`static final DiagnosticGroup`
`UNDEFINED_VARIABLES`
`static final DiagnosticGroup`
`UNKNOWN_DEFINES`
`static final DiagnosticGroup`
`VIOLATED_MODULE_DEP`
`static final DiagnosticGroup`
`VISIBILITY`

## Constructor Summary

Constructors
Constructor
Description
`DiagnosticGroups()`

## Method Summary

Modifier and Type
Method
Description
`DiagnosticGroup`
`forName(String name)`
Find the diagnostic group registered under the given name.
`protected Map<String,DiagnosticGroup>`
`getRegisteredGroups()`
Get the registered diagnostic groups, indexed by name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GLOBAL_THIS

public static final DiagnosticGroup GLOBAL_THIS

### DEPRECATED

public static final DiagnosticGroup DEPRECATED

### VISIBILITY

public static final DiagnosticGroup VISIBILITY

### CONSTANT_PROPERTY

public static final DiagnosticGroup CONSTANT_PROPERTY

### NON_STANDARD_JSDOC

public static final DiagnosticGroup NON_STANDARD_JSDOC

### ACCESS_CONTROLS

public static final DiagnosticGroup ACCESS_CONTROLS

### INVALID_CASTS

public static final DiagnosticGroup INVALID_CASTS

### FILEOVERVIEW_JSDOC

public static final DiagnosticGroup FILEOVERVIEW_JSDOC

### STRICT_MODULE_DEP_CHECK

public static final DiagnosticGroup STRICT_MODULE_DEP_CHECK

### VIOLATED_MODULE_DEP

public static final DiagnosticGroup VIOLATED_MODULE_DEP

### EXTERNS_VALIDATION

public static final DiagnosticGroup EXTERNS_VALIDATION

### AMBIGUOUS_FUNCTION_DECL

public static final DiagnosticGroup AMBIGUOUS_FUNCTION_DECL

### UNKNOWN_DEFINES

public static final DiagnosticGroup UNKNOWN_DEFINES

### TWEAKS

public static final DiagnosticGroup TWEAKS

### MISSING_PROPERTIES

public static final DiagnosticGroup MISSING_PROPERTIES

### INTERNET_EXPLORER_CHECKS

public static final DiagnosticGroup INTERNET_EXPLORER_CHECKS

### UNDEFINED_VARIABLES

public static final DiagnosticGroup UNDEFINED_VARIABLES

### UNDEFINED_NAMES

public static final DiagnosticGroup UNDEFINED_NAMES

### DEBUGGER_STATEMENT_PRESENT

public static final DiagnosticGroup DEBUGGER_STATEMENT_PRESENT

### CHECK_REGEXP

public static final DiagnosticGroup CHECK_REGEXP

### CHECK_TYPES

public static final DiagnosticGroup CHECK_TYPES

### CHECK_STRUCT_DICT_INHERITENCE

public static final DiagnosticGroup CHECK_STRUCT_DICT_INHERITENCE

### CHECK_VARIABLES

public static final DiagnosticGroup CHECK_VARIABLES

### CHECK_USELESS_CODE

public static final DiagnosticGroup CHECK_USELESS_CODE

### CONST

public static final DiagnosticGroup CONST

### TYPE_INVALIDATION

public static final DiagnosticGroup TYPE_INVALIDATION

### DUPLICATE_VARS

public static final DiagnosticGroup DUPLICATE_VARS

### ES5_STRICT

public static final DiagnosticGroup ES5_STRICT

### CHECK_PROVIDES

public static final DiagnosticGroup CHECK_PROVIDES

### DUPLICATE_MESSAGE

public static final DiagnosticGroup DUPLICATE_MESSAGE

### MISPLACED_TYPE_ANNOTATION

public static final DiagnosticGroup MISPLACED_TYPE_ANNOTATION

### SUSPICIOUS_CODE

public static final DiagnosticGroup SUSPICIOUS_CODE

## Constructor Details

### DiagnosticGroups

public DiagnosticGroups()

## Method Details

### getRegisteredGroups

protected Map<String,DiagnosticGroup> getRegisteredGroups()
Get the registered diagnostic groups, indexed by name.

### forName

public DiagnosticGroup forName(String name)
Find the diagnostic group registered under the given name.